[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# UnixToDateTime

Convert Unix epoch time to a TDateTime value

## Declaration

Source position: dateutil.inc line 426

`function UnixToDateTime(`
`const AValue: Int64;`
`aReturnUTC: Boolean = True`
`):TDateTime;`

## Arguments

`AValue` |  | Date to convert.

## Function result

AValue as a TDateTime value.

## Description

UnixToDateTime converts epoch time (seconds elapsed since 1/1/1970) to a TDateTime value.

## See also

DateTimeToUnix |  | Convert a TDateTime value to Unix epoch time